### Method

# RB RhythmDBQueryModel get_next_from_entry

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_query_model_get_next_from_entry (
      RhythmDBQueryModel* model,
      RhythmDBEntry* entry
    )

#### Description [src]

Locates and returns the next `RhythmDBEntry` in the model after the specified entry. The caller owns a reference to the returned entry.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

#### Return value

Type: `RhythmDBEntry`

The next `RhythmDBEntry` in the model, if any.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.